Package com.opensymphony.module.sitemesh.html.rules

# Class TitleExtractingRule

java.lang.Object
com.opensymphony.module.sitemesh.html.BasicRule
com.opensymphony.module.sitemesh.html.BlockExtractingRule
com.opensymphony.module.sitemesh.html.rules.TitleExtractingRule

All Implemented Interfaces:
  `TagRule`

public class TitleExtractingRule extends BlockExtractingRule

## Field Summary

Fields
Modifier and Type
Field
Description
`private final PageBuilder`
`page`
`private boolean`
`seenTitle`

### Fields inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`context`

## Constructor Summary

Constructors
Constructor
Description
`TitleExtractingRule(PageBuilder page)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`end(Tag tag)`

### Methods inherited from class com.opensymphony.module.sitemesh.html.BlockExtractingRule

`createBuffer, process, start`

### Methods inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`currentBuffer, setContext, shouldProcess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### page

private final PageBuilder page

### seenTitle

private boolean seenTitle

## Constructor Details

### TitleExtractingRule

public TitleExtractingRule(PageBuilder page)

## Method Details

### end

protected void end(Tag tag)

Overrides:
  `end` in class `BlockExtractingRule`